import "../../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { IconTextEdit as IconTextEditClass } from "../../../../components/icon/icons/text-edit.component.js";
import { getReactComponent } from "../../../../utils/react.js";
const IconTextEdit = (props) => {
  IconTextEditClass.define();
  const JSXElement = getReactComponent("gds-icon-text-edit");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
IconTextEdit.displayName = "IconTextEdit";
export {
  IconTextEdit
};
